## org.w3c.www.http
Class HttpInteger

    java.lang.Object
      |
      +--org.w3c.www.http.BasicValue
            |
            +--org.w3c.www.http.HttpInteger

public class HttpInteger
extends BasicValue

Fields inherited from class org.w3c.www.http.BasicValue
`isValid, raw, rlen, roff`

Constructor Summary
`HttpInteger()`

Method Summary
`java.lang.Object` | `getValue()`
`protected void` | `parse()`
`void` | `setValue(int ival)`
`void` | `setValue(java.lang.Integer ival)`
`protected void` | `updateByteValue()`

Methods inherited from class org.w3c.www.http.BasicValue
`addBytes, appendValue, checkByteValue, emit, error, invalidateByteValue, setBytes, setString, toExternalForm, toString, validate`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### HttpInteger

    public HttpInteger()

Method Detail

### parse

    protected void parse()

  Overrides:
    parse in class BasicValue

### updateByteValue

    protected void updateByteValue()

  Overrides:
    updateByteValue in class BasicValue

### getValue

    public java.lang.Object getValue()

  Overrides:
    getValue in class BasicValue

### setValue

    public void setValue(int ival)

### setValue

    public void setValue(java.lang.Integer ival)